CarrotClusteringEngine (Solr 3.6.2 API)
Keywords: org.apache.solr.handler.clustering.carrot2.CarrotClusteringEngine class

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.solr.handler.clustering.carrot2
Class CarrotClusteringEngine

    java.lang.Object
      org.apache.solr.handler.clustering.ClusteringEngine
          org.apache.solr.handler.clustering.SearchClusteringEngine
              org.apache.solr.handler.clustering.carrot2.CarrotClusteringEngine

    public class CarrotClusteringEngine

extends SearchClusteringEngine

Search results clustering engine based on Carrot2 clustering algorithms.

Output from this class is subject to change.

See Also:
  "http://project.carrot2.org"

Field Summary

Fields inherited from class org.apache.solr.handler.clustering.ClusteringEngine
`DEFAULT_ENGINE_NAME, ENGINE_NAME`

Constructor Summary
`CarrotClusteringEngine()`

Method Summary
`Object` | `cluster(Query query, DocList docList, SolrQueryRequest sreq)` Deprecated.
`Object` | `cluster(Query query, SolrDocumentList solrDocList, Map<SolrDocument,Integer> docIds, SolrQueryRequest sreq)`
`protected Set<String>` | `getFieldsToLoad(SolrQueryRequest sreq)` Returns the set of field names to load.
`String` | `init(NamedList config, SolrCore core)`

Methods inherited from class org.apache.solr.handler.clustering.SearchClusteringEngine
`getSolrDocumentList`

Methods inherited from class org.apache.solr.handler.clustering.ClusteringEngine
`getName`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### CarrotClusteringEngine

    public CarrotClusteringEngine()

Method Detail

### cluster

    @Deprecated
    public Object cluster(Query query,
                                     DocList docList,
                                     SolrQueryRequest sreq)

  Deprecated.

  Specified by:
    `cluster` in class `SearchClusteringEngine`

### cluster

    public Object cluster(Query query,
                          SolrDocumentList solrDocList,
                          Map<SolrDocument,Integer> docIds,
                          SolrQueryRequest sreq)

  Specified by:
    `cluster` in class `SearchClusteringEngine`

### init

    public String init(NamedList config,
                       SolrCore core)

  Overrides:
    `init` in class `ClusteringEngine`

### getFieldsToLoad

    protected Set<String> getFieldsToLoad(SolrQueryRequest sreq)

  Description copied from class: `SearchClusteringEngine`
  Returns the set of field names to load. Concrete classes can override this method if needed. Default implementation returns null, that is, all stored fields are loaded.

  Overrides:
    `getFieldsToLoad` in class `SearchClusteringEngine`
  Returns:
    set of field names to load

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD